Last Comment Bug 745934 - CSS transitions have horrible artifacts
: CSS transitions have horrible artifacts
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: 14 Branch
: x86_64 Windows 7
: -- normal (vote)
: mozilla14
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
:
Mentors:
Depends on:
Blocks: 735898
  Show dependency treegraph
 
Reported: 2012-04-16 13:51 PDT by Vladan Djeric (:vladan)
Modified: 2012-04-30 16:09 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Only ~25% of DIV shown during transition (539.56 KB, image/png)
2012-04-16 16:09 PDT, Vladan Djeric (:vladan)
no flags Details
testcase (481 bytes, text/html)
2012-04-17 03:32 PDT, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
no flags Details
fix (4.89 KB, patch)
2012-04-17 05:06 PDT, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
matt.woodrow: review+
lukasblakk+bugs: approval‑mozilla‑central+
Details | Diff | Review

Description Vladan Djeric (:vladan) 2012-04-16 13:51:14 PDT
On my Windows laptop running Nightly 14, I am getting horrible artifacts during various CSS transitions. However, I do not get these artifacts on Beta 12 and Aurora 13.

Test sample: http://people.mozilla.com/~tglek/fosdem2012/
Comment 1 Boris Zbarsky [:bz] 2012-04-16 14:31:02 PDT
Can you find a regression range?
Comment 2 Vladan Djeric (:vladan) 2012-04-16 16:02:32 PDT
(In reply to Boris Zbarsky (:bz) from comment #1)
> Can you find a regression range?

Nightly from Friday morning (April 13th) doesn't have the bug:
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2012-04-13-04-02-25-mozilla-inbound/

Nightly from Saturday morning (April 14th) does have the bug:
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2012-04-14-04-02-27-mozilla-inbound/
Comment 3 Vladan Djeric (:vladan) 2012-04-16 16:09:34 PDT
Created attachment 615523 [details]
Only ~25% of DIV shown during transition

Screenshot showing the bug: only about a quarter of two DIVs undergoing a CSS transition is shown during the animation. The other parts of the DIVs only "pop in" after the transition is complete.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-04-16 16:17:14 PDT
What's the regression range w.r.t mozilla-central?  That might provide additional data.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-04-16 16:19:12 PDT
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=1587faab5e5c&tochange=4469d30b6943 is the pushlog range for your inbound regression range
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-04-16 16:48:57 PDT
[Triage Comment]
Seems a little early to be tracking this for 14, let's wait and see if a regression range and possible backout or forward fix is possible then re-nominate for tracking if something needs uplifting.
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-04-16 16:56:41 PDT
No, we need to track it; otherwise it could get lost.  If it's fixed we'll un-track it then.
Comment 8 Boris Zbarsky [:bz] 2012-04-16 19:29:51 PDT
In the comment 5 range, bug 735898 and bug 744607 jump out at me.  Especially the latter.
Comment 9 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-04-17 03:32:01 PDT
Created attachment 615645 [details]
testcase

This very simple static testcase shows the problem... it should be a transparent yellow rectangle with its top-left at 0,0 ... but it isn't.
Comment 10 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-04-17 05:06:49 PDT
Created attachment 615670 [details] [diff] [review]
fix
Comment 11 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-04-17 05:09:08 PDT
This would have been a regression from changeset 007e4f53e361.
Comment 12 Matt Woodrow (:mattwoodrow) 2012-04-17 16:24:35 PDT
Comment on attachment 615670 [details] [diff] [review]
fix

Review of attachment 615670 [details] [diff] [review]:
-----------------------------------------------------------------

::: layout/reftests/bugs/745934-1.html
@@ +5,5 @@
> +div {
> +    position: absolute;
> +	top: 200px; left: 200px;
> +    width: 600px;
> +    height: 500px;

Indenting
Comment 13 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-04-17 16:45:59 PDT
Comment on attachment 615670 [details] [diff] [review]
fix

Review of attachment 615670 [details] [diff] [review]:
-----------------------------------------------------------------

Bad regression. Fix only affects pages using -moz-transform-style:preserve-3d.
Comment 14 Lukas Blakk [:lsblakk] use ?needinfo 2012-04-18 15:44:11 PDT
Comment on attachment 615670 [details] [diff] [review]
fix

[triage comment]
low/no risk to mobile, approving.
Comment 15 :Ehsan Akhgari (busy, don't ask for review please) 2012-04-18 20:54:07 PDT
Backed out for reftest failures: https://hg.mozilla.org/integration/mozilla-inbound/rev/c6316d2579e2
Comment 16 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-04-18 22:18:22 PDT
Checked in, this wasn't the cause of the failures.

https://hg.mozilla.org/integration/mozilla-inbound/rev/48704ff71f85
Comment 17 :Ehsan Akhgari (busy, don't ask for review please) 2012-04-19 07:31:18 PDT
https://hg.mozilla.org/mozilla-central/rev/48704ff71f85
Comment 18 gabriel 2012-04-26 05:07:15 PDT
Not sure if this should be re-opened or a new ticket opened, but when using transitioning with scale3d and the element has an outline, lots of artefacts appear

Test showcasing the bug at http://jsfiddle.net/gaby/SWJ4Z/2/
Comment 19 gabriel 2012-04-26 05:11:55 PDT
Sorry guys.. missed the firefox14 milestone..
Comment 20 Boris Zbarsky [:bz] 2012-04-26 11:14:28 PDT
New ticket please.  This bug was caused by another patch that landed in Firefox 14, and fixed 3-4 days after it first appeared.  So if you're not using a nightly build from one of those 3-4 days about a week ago, then you're seeing something different from this bug.

In particular, your testcase shows a problem in a nightly from 3 days ago, which certainly has the fix for this bug in it.  Do you want to file the new bug, or should I?
Comment 21 gabriel 2012-04-26 15:14:50 PDT
I am seeing this bug as a result from upgrading from v11 to v12.0

You seem to know much more about the procedures here, so it might be better if you file it as a new bug, if it fits the criteria..
Comment 22 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-04-26 16:41:12 PDT
Filed bug 749450. Thanks!

Note You need to log in before you can comment on or make changes to this bug.